
{ pkgs, ... }:
{
    services.nextcloud = {
        enable = true;
        hostName = "cloud.kabtop.de";
        https = true;
        config = {
            dbtype = "pgsql";
            dbuser = "nextcloud";
            dbhost = "localhost";
            dbname = "nextclouddb";
            dbport = 
            adminuser = "kabbone"; 
            #adminpassFile = "secret123";
        };
    };

    systemd.services."nextcloud-setup" = {
        requires = ["postgresql.service"];
        after = ["postgresql.service"];
    };
}
